Bug 118871 - add initscript to enable/disable running mrtg in cron job
add initscript to enable/disable running mrtg in cron job
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mrtg (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-21 23:11 EST by Charles R. Anderson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-17 02:57:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mrtg initscript (1.16 KB, text/plain)
2004-03-23 21:09 EST, Charles R. Anderson
no flags Details
mrtg cronjob (85 bytes, text/plain)
2004-03-23 21:10 EST, Charles R. Anderson
no flags Details

  None (edit)
Description Charles R. Anderson 2004-03-21 23:11:31 EST
Description of problem:

In a default install, mrtg is set to run from /etc/cron.d/mrtg.  This
makes little sense until the admin sets up mrtg.

Version-Release number of selected component (if applicable):

Expected results:

Provide an initscript /etc/rc.d/init.d/mrtg (default to off) which
just toggles /var/lock/subsys/mrtg, and enhance /etc/cron.d/mrtg to
check for the existence of /var/lock/subsys/mrtg before running mrtg.

Additional info:
Comment 1 Bill Nottingham 2004-03-22 21:43:32 EST
How about just checking that it's configured and having the cron job
just exit?
Comment 2 Charles R. Anderson 2004-03-23 21:08:14 EST
Checking that it is configured would be tricky.  /etc/mrtg/mrtg.conf
is shipped by default, and there is no easy way to tell if that file
is "configured".  Yum uses the cronjob-check-subsys method.  It would
be nice if the distro standardized on the same method.

Attaching proposed initscript and cron file, based on the ones from
the yum package.
Comment 3 Charles R. Anderson 2004-03-23 21:09:30 EST
Created attachment 98814 [details]
mrtg initscript
Comment 4 Charles R. Anderson 2004-03-23 21:10:05 EST
Created attachment 98815 [details]
mrtg cronjob
Comment 5 Miloslav Trmač 2004-08-17 02:57:06 EDT
Unlike yum, running unconfigured mrtg can do no harm.

mrtg is installed only if you explicitly select it in the interface,
in which case the administrator would probably prefer that it
"just works", or if you install 'Everything', in which case you
get what you deserve.

Note You need to log in before you can comment on or make changes to this bug.